<!DOCTYPE html>
<html lang="zxx">
   <head>
      <!-- The above 6 meta tags *must* come first in the head; any other head content must come *after* these tags -->
      <meta charset="utf-8">
      <meta http-equiv="x-ua-compatible" content="IE=edge">
      <meta name="viewport" content="width=device-width, initial-scale=1">
      <meta name="description" content="">
      <meta name="keyword" content="">
      <meta name="author"  content=""/>
      <!-- Page Title -->
      <title>Dragula | Avesta - Multipurpose Admin Dashboard Template</title>
      <!-- Required CSS -->
      <link type="text/css" rel="stylesheet" href="assets/plugins/dragula/dragula.min.css"/>
      <link type="text/css" rel="stylesheet" href="assets/plugins/prism/prism-vs.css"/>
      <!-- Main CSS -->	  
      <link type="text/css" rel="stylesheet" href="assets/css/style.css"/>
      <!-- Favicon -->	
      <link rel="icon" href="assets/images/favicon.ico" type="image/x-icon">
      <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
      <!-- WARNING: Respond.js doesn"t work if you view the page via file:// -->
      <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
      <![endif]-->
   </head>
   <body>
      <!--================================-->
      <!-- Page Container Start -->
      <!--================================-->
      <div class="page-container">
         <!--================================-->
         <!-- Page Sidebar Start -->
         <!--================================-->
         <div class="page-sidebar">
            <div class="logo">
               <a class="logo-img" href="index.html">		
               <img class="desktop-logo" src="assets/images/logo.png" alt="">
               <img class="small-logo" src="assets/images/small-logo.png" alt="">
               </a>			
               <a id="sidebar-toggle-button-close"><i class="wd-20" data-feather="x"></i> </a>
            </div>
            <!--================================-->
            <!-- Sidebar Menu Start -->
            <!--================================-->
            <div class="page-sidebar-inner">
               <div class="page-sidebar-menu">
                  <ul class="accordion-menu">
                     <li class="mg-l-20-force mg-t-25-force menu-navigation">Navigation</li>
                     <li>
                        <a href=""><i data-feather="home"></i>
                        <span>Dashboard</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="index.html">Sales</a></li>
                           <li><a href="index2.html">Analytics</a></li>
                           <li><a href="index3.html">Cryptocurrency</a></li>
                           <li><a href="index4.html">Helpdesk</a></li>
                           <li><a href="index5.html">Project</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="mail"></i>
                        <span>Mailbox</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="mailbox.html">Inbox</a></li>
                           <li><a href="mailbox-message.html">View Mail</a></li>
                           <li><a href="mailbox-compose.html">Compose Mail</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="feather"></i>
                        <span>Apps View</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="app-chatroom.html">Chat Room</a></li>
                           <li><a href="app-calendar.html">Calendar</a></li>
                           <li><a href="app-file-manager.html">File Manager</a></li>
                        </ul>
                     </li>
                     <li class="mg-l-20-force mg-t-25-force menu-elements">Elements</li>
                     <li>
                        <a href=""><i data-feather="underline"></i>
                        <span>UI Elements</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="uie-accordion.html">Accordion</a></li>
                           <li><a href="uie-alert.html">Alerts</a></li>
                           <li><a href="uie-avatar.html">Avatar</a></li>
                           <li><a href="uie-badge.html">Badges</a></li>
                           <li><a href="uie-breadcrumbs.html">Breadcrumbs</a></li>
                           <li><a href="uie-buttons.html">Buttons</a></li>
                           <li><a href="uie-button-groups.html">Button Groups</a></li>
                           <li><a href="uie-cards.html">Cards</a></li>
                           <li><a href="uie-carousel.html">Carousel</a></li>
                           <li><a href="uie-collapse.html">Collapse</a></li>
                           <li><a href="uie-dropdown.html">Dropdown</a></li>
                           <li><a href="uie-images.html">Images</a></li>
                           <li><a href="uie-list-group.html">List Group</a></li>
                           <li><a href="uie-marker.html">Marker</a></li>
                           <li><a href="uie-modal.html">Modal</a></li>
                           <li><a href="uie-navs.html">Navs</a></li>
                           <li><a href="uie-navbar.html">Navbar</a></li>
                           <li><a href="uie-pagination.html">Pagination</a></li>
                           <li><a href="uie-placeholder.html">Placeholder</a></li>
                           <li><a href="uie-popovers.html">Popovers</a></li>
                           <li><a href="uie-progress.html">Progress</a></li>
                           <li><a href="uie-scrollbar.html">Scrollbar</a></li>
                           <li><a href="uie-scrollspy.html">Scrollspy</a></li>
                           <li><a href="uie-spinners.html">Spinners</a></li>
                           <li><a href="uie-tooltips.html">Tooltips</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="aperture"></i>
                        <span>UI Utilities</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="uiu-background.html">Background</a></li>
                           <li><a href="uiu-borders.html">Borders</a></li>
                           <li><a href="uiu-colors.html">Colors</a></li>
                           <li><a href="uiu-display.html">Display </a></li>
                           <li><a href="uiu-embeds.html">Embeds</a></li>
                           <li><a href="uiu-flex.html">Flex</a></li>
                           <li><a href="uiu-margin.html">Margin</a></li>
                           <li><a href="uiu-padding.html">Padding</a></li>
                           <li><a href="uiu-float.html">Float</a></li>
                           <li><a href="uiu-position.html">Position</a></li>
                           <li><a href="uiu-screenreaders.html">Screenreaders</a></li>
                           <li><a href="uiu-sizing.html">Sizing</a></li>
                           <li><a href="uiu-spacing.html">Spacing</a></li>
                           <li><a href="uiu-text.html">Text</a></li>
                           <li><a href="uiu-vertical-alignment.html">Vertical Alignment</a></li>
                           <li><a href="uiu-width.html">Width</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="grid"></i>
                        <span>Grid</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="grid-utilities-layout.html">Utilities for Layout</a></li>
                           <li><a href="grid-auto-layout-columns.html">Auto-layout Columns</a></li>
                           <li><a href="grid-responsive-classes.html">Responsive Classes</a></li>
                           <li><a href="grid-alignment.html">Alignment</a></li>
                           <li><a href="grid-reordering.html">Reordering</a></li>
                           <li><a href="grid-customizing-grid.html">Customizing Grid</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="gift"></i>
                        <span>Icons</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="icon-font-awesome.html">Font Awesome</a></li>
                           <li><a href="icon-feather.html">Feather Icons</a></li>
                           <li><a href="icon-mdi.html">Mdi icons</a></li>
                           <li><a href="icon-flag.html">Flag icons</a></li>
                           <li><a href="icon-simple-line.html">Simple line icons</a></li>
                           <li><a href="icon-themify.html">Themify icons</a></li>
                           <li><a href="icon-weather.html">Weather Icons</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="calendar"></i>
                        <span>Forms</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="form-element.html">Form Elements</a></li>
                           <li><a href="form-formatter.html">Form Formatter </a></li>
                           <li><a href="form-input-group.html">Input Group</a></li>
                           <li><a href="form-input-tag.html">Input Tags</a></li>
                           <li><a href="form-input-masks.html">Input Masks</a></li>
                           <li><a href="form-layout.html">Form Layouts</a></li>
                           <li><a href="form-validation.html">Form Validation</a></li>
                           <li><a href="form-wizard.html">Form Wizard</a></li>
                           <li><a href="form-range-slider.html">Range Slider</a></li>
                           <li><a href="form-date-pickers.html">Date Pickers</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="database"></i>
                        <span>Tables</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="table-static.html">Static</a></li>
                           <li><a href="table-responsive.html">Responsive</a></li>
                           <li><a href="table-datatable.html">Data Tables</a></li>
                           <li><a href="table-footable.html">Foo Tables</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="pie-chart"></i>
                        <span>Charts</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="chart-apex.html">Apex</a></li>
                           <li><a href="chart-google.html">Google</a></li>
                           <li><a href="chart-morris.html">Morris</a></li>
                           <li><a href="chart-chartjs.html">ChartJS</a></li>
                           <li><a href="chart-flot.html">Flot</a></li>
                           <li><a href="chart-chartlist.html">Chartlist</a></li>
                           <li><a href="chart-sparkline.html">Sparkline</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="map"></i>
                        <span>Maps</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="map-google.html">Google Maps</a></li>
                           <li><a href="map-vector.html">Vector Maps</a></li>
                        </ul>
                     </li>
                     <li class="mg-l-20-force mg-t-25-force menu-extras">Extras</li>
                     <li>
                        <a href=""><i data-feather="cpu"></i>
                        <span>Authentication</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="aut-error404.html">404 Page</a></li>
                           <li><a href="aut-error500.html">500 Page</a></li>
                           <li><a href="aut-signin.html">Login</a></li>
                           <li><a href="aut-signup.html">Register</a></li>
                           <li><a href="aut-unlock.html">Lockscreen</a></li>
                           <li><a href="aut-password.html">password Reset</a></li>
                           <li><a href="aut-logign-register.html">Login + Register</a></li>
                        </ul>
                     </li>
                     <li class="open active">
                        <a href=""><i data-feather="git-pull-request"></i>
                        <span>Plugins</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu" style="display: block;">
                           <li><a href="plg-bootbox.html">Bootbox</a></li>
                           <li><a href="plg-block-ui.html">BlockUI</a></li>
                           <li><a href="plg-bootstrap-data-table.html">Bootstrap dataTable</a></li>
                           <li><a href="plg-bootstrap-daterangepicker.html">Bootstrap Daterangepicker</a></li>
                           <li><a href="plg-bootstrap-dateTimePicker.html">Bootstrap DateTimePicker</a></li>
                           <li><a href="plg-bootstrap-dual-listbox.html">Bootstrap Dual Listbox</a></li>
                           <li><a href="plg-bootstrap-slider.html">Bootstrap Slider</a></li>
                           <li><a href="plg-bootstrap-markdown.html">Bootstrap Markdown</a></li>
                           <li><a href="plg-bootstrap-maxlength.html">Bootstrap Maxlength</a></li>
                           <li><a href="plg-bootstrap-multiselect.html">Bootstrap Multiselect</a></li>
                           <li><a href="plg-bootstrap-pwstrength.html">Bootstrap Pwstrength</a></li>
                           <li><a href="plg-bootstrap-select.html">Bootstrap Select</a></li>
                           <li><a href="plg-bootstrap-sortable.html">Bootstrap Sortable</a></li>
                           <li><a href="plg-bootstrap-tagsinput.html">Bootstrap Tagsinput</a></li>
                           <li><a href="plg-cropper.html">Cropper</a></li>
                           <li><a href="plg-clipboard.html">Clipboard</a></li>
                           <li><a href="plg-codeeditor.html">Code Editor</a></li>
                           <li><a href="plg-dropzone.html">Dropzone</a></li>
                           <!-- Active Page -->
                           <li class="active"><a href="plg-dragula.html">Dragula</a></li>
                           <li><a href="plg-flow-js.html">Flow.js</a></li>
                           <li><a href="plg-fullcalendar.html">Fullcalendar</a></li>
                           <li><a href="plg-flatpickr.html">Flatpickr</a></li>
                           <li><a href="plg-growl.html">Growl</a></li>
                           <li><a href="plg-idle-timer.html">IdleTimer</a></li>
                           <li><a href="plg-knob.html">Knob</a></li>
                           <li><a href="plg-ladda.html">Ladda</a></li>
                           <li><a href="plg-masonry.html">Masonry</a></li>
                           <li><a href="plg-nestable.html">Nestable</a></li>
                           <li><a href="plg-numeral.html">Numeral</a></li>
                           <li><a href="plg-no-ui-slider.html">noUiSlider</a></li>
                           <li><a href="plg-photoswipe.html">Photoswipe</a></li>
                           <li><a href="plg-plyr.html">Plyr</a></li>
                           <li><a href="plg-sortable-js.html">Sortable.js</a></li>
                           <li><a href="plg-spinkit.html">Spinkit</a></li>
                           <li><a href="plg-swiper.html">Swiper</a></li>
                           <li><a href="plg-select2.html">Select2</a></li>
                           <li><a href="plg-sweet-alert2.html">SweetAlert2</a></li>
                           <li><a href="plg-SmartWizard.html">SmartWizard</a></li>
                           <li><a href="plg-typeahead.html">Typeahead</a></li>
                           <li><a href="plg-toastr.html">Toastr</a></li>
                           <li><a href="plg-jstree.html">Tree</a></li>
                           <li><a href="plg-vanilla-text-mask.html">Vanilla Text Mask</a></li>
                           <li><a href="plg-wysiwyg.html">WYSIWYG Editor</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="codepen"></i>
                        <span>Pages</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="pages-article.html">Articles</a></li>
                           <li><a href="pages-contact.html">Contacts</a></li>
                           <li><a href="pages-faq.html">FAQ's</a></li>
                           <li><a href="pages-forum.html">Forum</a></li>
                           <li><a href="pages-gallery.html">Gallery</a></li>
                           <li><a href="pages-invoice.html">Invoice</a></li>
                           <li><a href="pages-profile.html">Profile</a></li>
                           <li><a href="pages-product.html">Products</a></li>
                           <li><a href="pages-pricing.html">Pricing</a></li>
                           <li><a href="pages-project.html">Projects</a></li>
                           <li><a href="pages-search.html">Search</a></li>
                           <li><a href="pages-ticket.html">Tickets</a></li>
                           <li><a href="pages-voting.html">Voting</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href=""><i data-feather="codepen"></i>
                        <span>UI Kit</span><i class="accordion-icon fa fa-angle-left"></i></a>
                        <ul class="sub-menu">
                           <li><a href="uik-base.html" target="_blank">Base</a></li>
                           <li><a href="uik-company.html" target="_blank">Company</a></li>
                           <li><a href="uik-ecommerce.html" target="_blank">E-Commerce</a></li>
                           <li><a href="uik-magazine.html" target="_blank">Magazine</a></li>
                           <li><a href="uik-social.html" target="_blank">Social</a></li>
                        </ul>
                     </li>
                     <li>
                        <a href="email-template.html"><i data-feather="printer"></i>
                        <span>Mail Template</span></a>
                     </li>
                     <li class="mg-l-20-force mg-t-25-force menu-others">Others</li>
                     <li>
                        <a href="../documentation/documentation.html"><i data-feather="life-buoy"></i>
                        <span>Documentation</span></a>
                     </li>
                     <li>
                        <a href="../documentation/changelog.html"><i data-feather="coffee"></i>
                        <span>Changelog</span></a>
                     </li>
                  </ul>
               </div>
            </div>
            <!--/ Sidebar Menu End -->
            <!--================================-->
            <!-- Sidebar Footer Start -->
            <!--================================-->
            <div class="sidebar-footer">									
               <a class="pull-left" href="pages-profile.html" data-toggle="tooltip" data-placement="top" data-original-title="Profile">
               <i data-feather="user" class="wd-16"></i></a>									
               <a class="pull-left " href="mailbox.html" data-toggle="tooltip" data-placement="top" data-original-title="Mailbox">
               <i data-feather="mail" class="wd-16"></i></a>
               <a class="pull-left" href="aut-unlock.html" data-toggle="tooltip" data-placement="top" data-original-title="Lockscreen">
               <i data-feather="lock" class="wd-16"></i></a>
               <a class="pull-left" href="aut-signin.html" data-toggle="tooltip" data-placement="top" data-original-title="Sing Out">
               <i data-feather="log-out" class="wd-16"></i></a>
            </div>
            <!--/ Sidebar Footer End -->
         </div>
         <!--/ Page Sidebar End -->
         <!--================================-->
         <!-- Page Content Start -->
         <!--================================-->
         <div class="page-content">
            <!--================================-->
            <!-- Page Header Start -->
            <!--================================-->
            <div class="page-header">
               <nav class="navbar navbar-default d-flex bg-dark">
                  <div class="navbar-header">
                     <div class="navbar-brand">
                        <ul class="list-inline">
                           <!-- Mobile Toggle and Logo -->
                           <li class="list-inline-item"><a class="hidden-md hidden-lg tx-white" href="#" id="sidebar-toggle-button"><i data-feather="menu" class="wd-20"></i></a></li>
                           <!-- PC Toggle and Logo -->
                           <li class="list-inline-item"><a class=" hidden-xs hidden-sm tx-white" href="#" id="collapsed-sidebar-toggle-button"><i data-feather="menu" class="wd-20"></i></a></li>
                        </ul>
                     </div>
                  </div>				  
                  <h3 class="tx-24 tx-semibold tx-gray-100">Plugins</h3>
                  <a href="https://themeforest.net/user/colorlibcode/portfolio" class="btm btn-custom-primary mg-b-10 hidden-xs">Buy Now</a>
               </nav>
            </div>
            <!--/ Page Header End -->   
            <!--================================-->
            <!-- Page Inner Start -->
            <!--================================-->
            <div class="page-inner">
               <!-- Main Wrapper -->
               <div id="main-wrapper">
                  <div class="mg-y-30">
                     <h2>Dragula</h2>
                     <pre><a href="https://github.com/bevacqua/dragula" target="_blank">https://github.com/bevacqua/dragula</a></pre>
                     <p>Have you ever wanted a drag and drop library that just works? That doesn't just depend on bloated frameworks, that has great support? That actually understands where to place the elements when they are dropped? That doesn't need you to do a zillion things to get it to work? Well, so did I!</p>
                     <h4 class="mg-y-30">Examples</h4>
                     <div class="row">
                        <div id="dragula-left" class="col">
                           <div class="dragula-example card card-condenced">
                              <div class="card-body">
                                 You can move these elements between these two containers
                              </div>
                           </div>
                           <div class="dragula-example card card-condenced">
                              <div class="card-body">
                                 Moving them anywhere else isn't quite possible
                              </div>
                           </div>
                           <div class="dragula-example card card-condenced">
                              <div class="card-body">
                                 Anything can be moved around. That includes images, <a href="https://github.com/bevacqua/dragula">links</a>, or any other nested elements.
                                 <img src="assets/images/gallery/bg-big-3.jpg" alt class="w-100 my-3">
                                 <sub>(You can still click on links, as usual!)</sub>
                              </div>
                           </div>
                        </div>
                        <div id="dragula-right" class="col">
                           <div class="dragula-example card card-condenced">
                              <div class="card-body">
                                 There's also the possibility of moving elements around in the same container, changing their position
                              </div>
                           </div>
                           <div class="dragula-example card card-condenced">
                              <div class="card-body">
                                 This is the default use case. You only need to specify the containers you want to use
                              </div>
                           </div>
                           <div class="dragula-example card card-condenced">
                              <div class="card-body">
                                 More interactive use cases lie ahead
                              </div>
                           </div>
                           <div class="dragula-example card card-condenced">
                              <div class="card-body">
                                 <p>Moving <code>&lt;input/&gt;</code> elements works just fine. You can still focus them, too.</p>
                                 <input placeholder="See?" class="form-control">
                              </div>
                           </div>
                           <div class="dragula-example card card-condenced">
                              <div class="card-body">
                                 Make sure to check out the <a href="https://github.com/bevacqua/dragula#readme">documentation on GitHub!</a>
                              </div>
                           </div>
                        </div>
                     </div>
                     <h6 class="mg-t-25 bd-b">Copying</h6>
                     <div class="row">
                        <div id="dragula-left-copy" class="col-6">
                           <div class="dragula-example card card-condenced">
                              <div class="card-body">
                                 When elements are copyable, they can't be sorted in their origin container
                              </div>
                           </div>
                           <div class="dragula-example card card-condenced">
                              <div class="card-body">
                                 Copying prevents original elements from being dragged. A copy gets created and <em>that</em> gets dragged instead
                              </div>
                           </div>
                           <div class="dragula-example card card-condenced">
                              <div class="card-body">
                                 Whenever that happens, a <code>cloned</code> event is raised
                              </div>
                           </div>
                        </div>
                        <div id="dragula-right-copy" class="col-6">
                           <div class="dragula-example card card-condenced">
                              <div class="card-body">
                                 Note that the clones get destroyed if they're not dropped into another container
                              </div>
                           </div>
                           <div class="dragula-example card card-condenced">
                              <div class="card-body">
                                 You'll be dragging a copy, so when they're dropped into another container you'll see the duplication.
                              </div>
                           </div>
                        </div>
                     </div>
                     <h6 class="mg-t-25 bd-b">Drag handle</h6>
                     <div class="row">
                        <div id="dragula-left-drag-handles" class="col-6">
                           <div class="dragula-example card card-condenced">
                              <div class="card-body">
                                 <span data-feather="move" class="handle d-inline-block bg-primary tx-white p-2 mr-2"></span>Move me, but you can use the plus sign to drag me around.
                              </div>
                           </div>
                           <div class="dragula-example card card-condenced">
                              <div class="card-body">
                                 <span data-feather="move"  class="handle ion ion-ios-move d-inline-block bg-primary tx-white p-2 mr-2"></span>Note that <code>handle</code> element in the <code>moves</code> handler is just the original event target.
                              </div>
                           </div>
                        </div>
                        <div id="dragula-right-drag-handles" class="col-6">
                           <div class="dragula-example card card-condenced">
                              <div class="card-body">
                                 <span data-feather="move"  class="handle ion ion-ios-move d-inline-block bg-primary text-white p-2 mr-2"></span>This might also be useful if you want multiple children of an element to be able to trigger a drag event.
                              </div>
                           </div>
                           <div class="dragula-example card card-condenced">
                              <div class="card-body">
                                 <span data-feather="move"  class="handle ion ion-ios-move d-inline-block bg-primary tx-white p-2 mr-2"></span>You can also use the <code>moves</code> option to determine whether an element can be dragged at all from a container, <em>drag handle or not</em>.
                              </div>
                           </div>
                        </div>
                     </div>
                     <h4 class="mg-t-30 mb-0">Usages</h4>
                     <pre><code class="language-html">&lt;link rel="stylesheet" href="assets/plugins/dragula/dragula.min.css"></code></pre>
                     <pre><code class="language-html">&lt;script src="assets/plugins/dragula/dragula.min.js">&lt;/script></code></pre>
                     <pre><code class="language-html">&lt;div class="row">
  &lt;div id="dragula-left" class="col">
    &lt;div class="dragula-example card card-condenced">
      &lt;div class="card-body">
        You can move these elements between these two containers
      &lt;/div>
    &lt;/div>
    &lt;div class="dragula-example card card-condenced">
      &lt;div class="card-body">
        Moving them anywhere else isn't quite possible
      &lt;/div>
    &lt;/div>
    &lt;div class="dragula-example card card-condenced">
      &lt;div class="card-body">
        Anything can be moved around. That includes images, &lt;a href="https://github.com/bevacqua/dragula">links&lt;/a>, or any other nested elements.
        &lt;img src="assets/images/gallery/bg-big-3.jpg" alt class="w-100 my-3">
        &lt;sub>(You can still click on links, as usual!)&lt;/sub>
      &lt;/div>
    &lt;/div>
  &lt;/div>
  &lt;div id="dragula-right" class="col">
    &lt;div class="dragula-example card card-condenced">
      &lt;div class="card-body">
        There's also the possibility of moving elements around in the same container, changing their position
      &lt;/div>
    &lt;/div>
    &lt;div class="dragula-example card card-condenced">
      &lt;div class="card-body">
        This is the default use case. You only need to specify the containers you want to use
      &lt;/div>
    &lt;/div>
    &lt;div class="dragula-example card card-condenced">
      &lt;div class="card-body">
        More interactive use cases lie ahead
      &lt;/div>
    &lt;/div>
    &lt;div class="dragula-example card card-condenced">
      &lt;div class="card-body">
        &lt;p>Moving &lt;code>&lt;input/&gt;&lt;/code> elements works just fine. You can still focus them, too.&lt;/p>
        &lt;input placeholder="See?" class="form-control">
      &lt;/div>
    &lt;/div>
    &lt;div class="dragula-example card card-condenced">
      &lt;div class="card-body">
        Make sure to check out the &lt;a href="https://github.com/bevacqua/dragula#readme">documentation on GitHub!&lt;/a>
      &lt;/div>
    &lt;/div>
  &lt;/div>
&lt;/div>

&lt;h6 class="mg-t-25 bd-b">Copying&lt;/h6>

&lt;div class="row">
  &lt;div id="dragula-left-copy" class="col-6">
    &lt;div class="dragula-example card card-condenced">
      &lt;div class="card-body">
        When elements are copyable, they can't be sorted in their origin container
      &lt;/div>
    &lt;/div>
    &lt;div class="dragula-example card card-condenced">
      &lt;div class="card-body">
        Copying prevents original elements from being dragged. A copy gets created and &lt;em>that&lt;/em> gets dragged instead
      &lt;/div>
    &lt;/div>
    &lt;div class="dragula-example card card-condenced">
      &lt;div class="card-body">
        Whenever that happens, a &lt;code>cloned&lt;/code> event is raised
      &lt;/div>
    &lt;/div>
  &lt;/div>
  &lt;div id="dragula-right-copy" class="col-6">
    &lt;div class="dragula-example card card-condenced">
      &lt;div class="card-body">
        Note that the clones get destroyed if they're not dropped into another container
      &lt;/div>
    &lt;/div>
    &lt;div class="dragula-example card card-condenced">
      &lt;div class="card-body">
        You'll be dragging a copy, so when they're dropped into another container you'll see the duplication.
      &lt;/div>
    &lt;/div>
  &lt;/div>
&lt;/div>

&lt;h6 class="mg-t-25 bd-b">Drag handle&lt;/h6>

&lt;div class="row">
  &lt;div id="dragula-left-drag-handles" class="col-6">
    &lt;div class="dragula-example card card-condenced">
      &lt;div class="card-body">
        &lt;span data-feather="move" class="handle d-inline-block bg-primary tx-white p-2 mr-2">&lt;/span>Move me, but you can use the plus sign to drag me around.&lt;/div>
    &lt;/div>
    &lt;div class="dragula-example card card-condenced">
      &lt;div class="card-body">
        &lt;span data-feather="move"  class="handle ion ion-ios-move d-inline-block bg-primary tx-white p-2 mr-2">&lt;/span>Note that &lt;code>handle&lt;/code> element in the &lt;code>moves&lt;/code> handler is just the original event target.&lt;/div>
    &lt;/div>
  &lt;/div>
  &lt;div id="dragula-right-drag-handles" class="col-6">
    &lt;div class="dragula-example card card-condenced">
      &lt;div class="card-body">
        &lt;span data-feather="move"  class="handle ion ion-ios-move d-inline-block bg-primary text-white p-2 mr-2">&lt;/span>This might also be useful if you want multiple children of an element to be able to trigger a drag event.&lt;/div>
    &lt;/div>
    &lt;div class="dragula-example card card-condenced">
      &lt;div class="card-body">
        &lt;span data-feather="move"  class="handle ion ion-ios-move d-inline-block bg-primary tx-white p-2 mr-2">&lt;/span>You can also use the &lt;code>moves&lt;/code> option to determine whether an element can be dragged at all from a container, &lt;em>drag handle or not&lt;/em>.&lt;/div>
    &lt;/div>
  &lt;/div>
&lt;/div></code></pre>
                     <pre><code class="language-html">&lt;!-- Javascript -->
&lt;script>
  $(function() {
    dragula([$('#dragula-left')[0], $('#dragula-right')[0]], {
      revertOnSpill: true
    });

    // Copying
    dragula([$('#dragula-left-copy')[0], $('#dragula-right-copy')[0]], {
      copy: true
    });

    // Drag handle
    dragula([$('#dragula-left-drag-handles')[0], $('#dragula-right-drag-handles')[0]], {
      moves: function (el, container, handle) {
        return handle.classList.contains('handle');
      }
    });
  });
&lt;/script>
&lt;!-- / Javascript --></code></pre>
                  </div>
               </div>
               <!--/ Main Wrapper End -->
            </div>
            <!--/ Page Inner End -->
            <!--================================-->
            <!-- Page Footer Start -->	
            <!--================================-->
            <footer class="page-footer">
               <div class="pd-t-4 pd-b-0 pd-x-20">
                  <div class="tx-10 tx-uppercase tx-gray-500 tx-spacing-1">
                     <p class="pd-y-10 mb-0">Copyright&copy; 2019 |  Created By  <a href="https://themeforest.net/user/colorlibcode/portfolio" target="_blank">ColorlibCode</a></p>
                  </div>
               </div>
            </footer>
            <!--/ Page Footer End -->	
         </div>
         <!--/ Page Content End -->
      </div>
      <!--/ Page Container End -->
      <!--================================-->
      <!-- Footer Script -->
      <!--================================-->
      <script src="assets/plugins/jquery/jquery.min.js"></script>
      <script src="assets/plugins/jquery-ui/jquery-ui.js"></script>
      <script src="assets/plugins/popper/popper.js"></script>
      <script src="assets/plugins/moment/moment.min.js"></script>
      <script src="assets/plugins/feather/feather.min.js"></script>
      <script src="assets/plugins/bootstrap/js/bootstrap.min.js"></script>
      <script src="assets/plugins/pace/pace.min.js"></script>
      <script src="assets/plugins/slimscroll/jquery.slimscroll.min.js"></script>
      <script src="assets/plugins/highlight/highlight.min.js"></script>
      <script src="assets/plugins/prism/prism.js"></script>
      <!--  Script -->
      <script src="assets/plugins/dragula/dragula.min.js"></script>
      <!-- Required Script -->
      <script src="assets/js/app.js"></script>
      <script src="assets/js/avesta.js"></script>
      <!-- Javascript -->
      <script>
         $(function() {
           dragula([$('#dragula-left')[0], $('#dragula-right')[0]], {
             revertOnSpill: true
           });
         
           // Copying
           dragula([$('#dragula-left-copy')[0], $('#dragula-right-copy')[0]], {
             copy: true
           });
         
           // Drag handle
           dragula([$('#dragula-left-drag-handles')[0], $('#dragula-right-drag-handles')[0]], {
             moves: function (el, container, handle) {
               return handle.classList.contains('handle');
             }
           });
         });
      </script>
      <!-- / Javascript -->
   </body>
</html>